## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iStarsState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the stars mesh object. More...

`#include <imesh/stars.h>`

Inheritance diagram for iStarsState:

[legend]
List of all members.

## Public Member Functions

virtual void | GetBox (csBox3 &b) const =0
| Get the box.
virtual csColor | GetColor () const =0
| Get the color.
virtual float | GetDensity () const =0
| Get density.
virtual csColor | GetMaxColor () const =0
| Get the max color.
virtual float | GetMaxDistance () const =0
| Get max distance at which stars are visible.
virtual bool | IsMaxColorUsed () const =0
| Return true if max color is used.
virtual void | SetBox (const csBox3 &b)=0
| Set box where the stars live.
virtual void | SetColor (const csColor &col)=0
| Set the global color to use.
virtual void | SetDensity (float d)=0
| Set density.
virtual void | SetMaxColor (const csColor &col)=0
| Set the color used in the distance.
virtual void | SetMaxDistance (float maxdist)=0
| Set max distance at which stars are visible.

## Detailed Description

This interface describes the API for the stars mesh object.

Definition at line 40 of file stars.h.

## Member Function Documentation

virtual void iStarsState::GetBox | ( | csBox3 & | b | ) | const`[pure virtual]`

| Get the box.

virtual csColor iStarsState::GetColor | ( |  | ) | const`[pure virtual]`

| Get the color.

virtual float iStarsState::GetDensity | ( |  | ) | const`[pure virtual]`

| Get density.

virtual csColor iStarsState::GetMaxColor | ( |  | ) | const`[pure virtual]`

| Get the max color.

virtual float iStarsState::GetMaxDistance | ( |  | ) | const`[pure virtual]`

| Get max distance at which stars are visible.

virtual bool iStarsState::IsMaxColorUsed | ( |  | ) | const`[pure virtual]`

| Return true if max color is used.

virtual void iStarsState::SetBox | ( | const csBox3 & | b | ) | `[pure virtual]`

| Set box where the stars live.

virtual void iStarsState::SetColor | ( | const csColor & | col | ) | `[pure virtual]`

| Set the global color to use.

virtual void iStarsState::SetDensity | ( | float | d | ) | `[pure virtual]`

| Set density.

virtual void iStarsState::SetMaxColor | ( | const csColor & | col | ) | `[pure virtual]`

| Set the color used in the distance. If this is used then stars at max distance will have this color (fading is used).

virtual void iStarsState::SetMaxDistance | ( | float | maxdist | ) | `[pure virtual]`

| Set max distance at which stars are visible.

The documentation for this struct was generated from the following file:

- imesh/stars.h